#!/bin/bash

RETVAL=0
INITD_NAME=MagicLine4NX.sh
EXE_NAME=MagicLine4NX.ex
APP_NAME=MagicLine4NX
APP_PATH=/opt/$APP_NAME
CUTIL_PATH=/opt/$APP_NAME/certificate
CERT_FILE="dreamsecurity-rootca.crt"
CERT_NAME="Dreamsecurity ROOT CA"

export LD_LIBRARY_PATH=/opt/$APP_NAME:$LD_LIBRARY_PATH

APP_CHECK=`ps -ef | grep $EXE_NAME | egrep -v "grep" | wc -l`

if [ $APP_CHECK -ne 0 ]
then   
   PID=`ps -ef | grep $EXE_NAME | egrep -v "grep" | awk '{ print $2 }'`
   exit 0
fi

/opt/$APP_NAME/$EXE_NAME

exit $RETVAL
